View Issue Details

IDProjectCategoryView StatusLast Update
0003042unrealircdpublic2013-05-07 06:12
ReporterIdiotSticAssigned Tonenolod 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformallOSlinuxOS Version2.6.17
Product Version3.2 
Target Version3.3-alpha0Fixed in Version3.4-alpha1 
Summary0003042: Feature to add nick-length config parameter
DescriptionInstead of having to change line 107 of struct.h and recompiling 4 machines across 3 continents, it would be much nicer to set it as a config file paramerter.

Thanks,

--- Jem
TagsNo tags attached.
3rd party modules

Activities

syzop

2006-08-29 06:55

administrator   ~0012258

I think a better solution would be to make it a unrealircd.conf setting (enforced locally), and retaining the hardcoded limit in the header files. I think our current nicklength is as large as it could possible be 'ok'. People willing to change it have always wanted to lower it, not enlarge it.

feature -> u3.3 ;P

Trocotronic

2006-09-15 06:55

reporter   ~0012395

Added in .2269

syzop

2011-07-19 13:57

administrator   ~0016701

needs to be re-ported, but should probably be a 'child' of the bigger thing: moving various constants out of .h to the config (or at least have the config able to limit the hardcoded value).

nenolod

2013-05-07 06:12

reporter   ~0017515

http://hg.unrealircd.org/hg/unreal/rev/46b4e953e590

Issue History

Date Modified Username Field Change
2006-08-28 22:28 IdiotStic New Issue
2006-08-29 06:55 syzop Note Added: 0012258
2006-08-29 06:55 syzop Severity minor => feature
2006-08-29 06:55 syzop Status new => acknowledged
2006-09-05 13:17 Trocotronic Status acknowledged => assigned
2006-09-05 13:17 Trocotronic Assigned To => Trocotronic
2006-09-15 06:55 Trocotronic Status assigned => resolved
2006-09-15 06:55 Trocotronic Fixed in Version => 3.3-alpha0
2006-09-15 06:55 Trocotronic Resolution open => fixed
2006-09-15 06:55 Trocotronic Note Added: 0012395
2011-07-19 13:57 syzop Note Added: 0016701
2011-07-19 13:57 syzop Assigned To Trocotronic =>
2011-07-19 13:57 syzop Status resolved => needs re porting
2011-07-19 17:11 syzop Target Version => 3.3-alpha0
2013-02-12 07:04 dummy Status needs re porting => has patch
2013-02-19 22:54 syzop Status has patch => needs re porting
2013-05-07 06:12 nenolod Note Added: 0017515
2013-05-07 06:12 nenolod Status needs re porting => resolved
2013-05-07 06:12 nenolod Fixed in Version 3.3-alpha0 => 3.4-alpha1
2013-05-07 06:12 nenolod Assigned To => nenolod